
export interface IFlight {
  id: number;
  flightNumber: string;
  flightPath: string;
  flightPathFull: string;
}

export interface ICustomerDashboardData {
  name: string;
  email: string;
  upcomingFlights: IFlight[];
  flightsHistory: IFlight[];
}

export async function GetCustomerDashboardData(): Promise<ICustomerDashboardData> {
  return {
    name: 'fname lname',
    email: 'test@test.com',
    upcomingFlights: [
      {
        id: 4,
        flightNumber: '0004',
        flightPath: 'LTN - MLG',
        flightPathFull: 'London(LTN) - Spain(MLG)'
      },
      {
        id: 5,
        flightNumber: '0005',
        flightPath: 'LTN - MLG',
        flightPathFull: 'London(LTN) - Spain(MLG)'
      },
      {
        id: 6,
        flightNumber: '0006',
        flightPath: 'LTN - MLG',
        flightPathFull: 'London(LTN) - Spain(MLG)'
      }
    ],
    flightsHistory: [
      {
        id: 1,
        flightNumber: '0001',
        flightPath: 'LTN - MLG',
        flightPathFull: 'London(LTN) - Spain(MLG)'
      },
      {
        id: 2,
        flightNumber: '0002',
        flightPath: 'LTN - MLG',
        flightPathFull: 'London(LTN) - Spain(MLG)'
      },
      {
        id: 3,
        flightNumber: '0003',
        flightPath: 'LTN - MLG',
        flightPathFull: 'London(LTN) - Spain(MLG)'
      }
    ]
  }
}